﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Admin.ascx.cs" Inherits="puresystems.Modules.psMailChimp.Admin" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="UrlControl" Src="~/controls/URLControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.UI.WebControls" Assembly="DotNetNuke.Web" %>


<div id="pnlStepOne" runat="server" class="Normal configPanel form-horizontal panel panel-default">
    <div class="panel-heading">Forms</div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="BAddForm" runat="server" CssClass="btn btn-default" OnClick="BAddForm_Click" />
            </div>
            <asp:HiddenField ID="H_FormID" runat="server" />
        </div>
        <div class="form-group">
            <div class="col-xs-12">
                <asp:GridView ID="DGForms" runat="server" CssClass="table table-bordered table-striped table-hover" OnDeleteCommand="DGForms_DeleteCommand" OnEditCommand="DGForms_DesignCommand" OnCancelCommand="DGForms_EditCommand"
                    AutoGenerateColumns="False" OnItemCommand="DGForms_ItemCommand" AllowPaging="True" OnPageIndexChanged="DGForms_PageIndexChanged"
                    OnSortCommand="DGForms_SortCommand" UseAccessibleHeader="true" OnRowDeleting="DGForms_RowDeleting" DataKeyNames="FormID"
                    OnRowCancelingEdit="DGForms_RowCancelingEdit" OnRowEditing="DGForms_RowEditing" OnRowCommand="DGForms_RowCommand" PageSize="10" OnPageIndexChanging="DGForms_PageIndexChanging">
                    <Columns>
                        <asp:TemplateField HeaderText="Form Name">
                            <ItemTemplate>
                                <%#Eval("FormName")%>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:ButtonField HeaderText="Fields" Text="Design" CommandName="Edit"></asp:ButtonField>
                        <asp:TemplateField HeaderText="MailChimp">
                            <ItemTemplate>
                                <asp:LinkButton runat="server" Text="Sync" CommandName="Match" CommandArgument='<%#Eval("FormID")%>' OnClientClick='<%# String.Format("return window.confirm(\"{0}\")",LocalizeString("Match")) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:ButtonField HeaderText="" Text='Edit' CommandName="EditForm" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:LinkButton runat="server" Text="Delete" CommandName="Delete" OnClientClick='<%# String.Format("return window.confirm(\"{0}\")",LocalizeString("ConfirmDelete")) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
                    <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
                    <PagerSettings Mode="NumericFirstLast" Position="Bottom" PageButtonCount="10" />
                </asp:GridView>
            </div>
        </div>
        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
            <div class="panel panel-info ">
                <div class="panel-heading" role="tab" id="headingOne">
                    <h4 class="panel-title">
                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                            <%=LocalizeString("HelpAccordionHeading") %>
                        </a>
                    </h4>
                </div>
                <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                        <p><strong>Form controls:</strong></p>
                        <p><strong>Fields</strong>: Click the Design link to view and update the form fields associated with each form.</p>
                        <p><strong>MailChimp Sync</strong>: Click the Sync link to update the form from MailChimp. If you change the form in MailChimp then you need to sync the form in the module so they match.</p>
                        <p><strong>Edit</strong>: Edit the form name and which MailChimp list it's linked to.</p>
                        <p><strong>Delete</strong>: Delete the form from the module.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Panel One -->
<div id="pnlStepAddForm" runat="server" class="Normal configPanel form-horizontal panel panel-default">
    <div class="panel-heading">Add Form</div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FNamelbl" runat="server" AssociatedControlID="FNametxt" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="FNametxt" runat="server" CssClass="form-control"></asp:TextBox>
                <asp:RequiredFieldValidator ID="valFNametxt" runat="server" resourcekey="valFNametxt.Error" ControlToValidate="FNametxt" CssClass="error-label"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="MListlbl" runat="server" AssociatedControlID="DDMList" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:DropDownList ID="DDMList" runat="server" CssClass="form-control"></asp:DropDownList>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="Viewlbl" runat="server" AssociatedControlID="CViewch"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:CheckBox ID="CViewch" runat="server" AutoPostBack="True" OnCheckedChanged="CViewch_CheckedChanged" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="Sublbl" runat="server" AssociatedControlID="DDSub"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:DropDownList ID="DDSub" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DDSub_SelectedIndexChanged" CssClass="form-control">
                    <asp:ListItem>Please Select</asp:ListItem>
                    <asp:ListItem>Redirect</asp:ListItem>
                    <asp:ListItem>Display Message</asp:ListItem>
                </asp:DropDownList>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="SelectTabID" runat="server" AssociatedControlID="TabID"></asp:Label>
            </div>
            <div class="col-xs-9">
                <dnn:UrlControl ID="TabID" runat="server" ShowFiles="true" ShowNone="false" ShowTabs="true" ShowUrls="false" ShowLog="false" ShowTrack="false" Required="false" ShowUpLoad="false" ShowNewWindow="false" ShowImages="false" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="Displaylbl" runat="server" AssociatedControlID="Displaytxt"></asp:Label>
            </div>
            <div class="col-xs-9">
                <dnn:TextEditor runat="server" width="500" ID="Displaytxt" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="BAddFormF" runat="server" CssClass="btn btn-primary" OnClick="BAddFormF_Click" />
                <asp:LinkButton ID="RAddFormF" runat="server" OnClick="RAddFormF_Click" CssClass="btn btn-default" />
            </div>
        </div>
    </div>
</div>
<!-- Add Form -->
<div id="pnlStepEditForm" runat="server" class="Normal configPanel form-horizontal panel panel-default">
    <div class="panel-heading">Edit Form</div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FNameEditlbl" runat="server" AssociatedControlID="FNameEdittxt" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="FNameEdittxt" runat="server" CssClass="form-control"></asp:TextBox>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="MListEditlbl" runat="server" AssociatedControlID="DDMListEdit" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:DropDownList ID="DDMListEdit" runat="server" CssClass="form-control"></asp:DropDownList>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="BEditFormF" runat="server" CssClass="btn btn-default" OnClick="BEditFormF_Click" />
                <asp:LinkButton ID="REditFormF" runat="server" CssClass="btn btn-default" OnClick="REditFormF_Click" />
            </div>
        </div>
    </div>
</div>
<!--Edit Form -->

<div id="pnlStepDesignFields" runat="server" class="Normal configPanel form-horizontal panel panel-default">
    <div class="panel-heading">Design Fields</div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="BAddField" runat="server" CssClass="btn btn-default" OnClick="BAddField_Click" />
            </div>
        </div>
        <asp:HiddenField ID="H_FieldName" runat="server" />
        <div class="form-group">
            <div class="col-xs-12">
                <asp:DataGrid ID="DGFields" runat="server" CssClass="table table-bordered table-striped" DataKeyField="FieldID" OnDeleteCommand="DGFields_DeleteCommand" OnCancelCommand="DGFields_EditCommand"
                    AutoGenerateColumns="False" OnItemCommand="DGFields_ItemCommand" OnPageIndexChanged="DGForms_PageIndexChanged" UseAccessibleHeader="true">
                    <Columns>
                        <asp:TemplateColumn HeaderText="Field Name">
                            <ItemTemplate>
                                <%#Eval("FieldName")%>
                            </ItemTemplate>
                        </asp:TemplateColumn>
                        <asp:ButtonColumn HeaderText="" Text="Edit" CommandName="Cancel" />
                        <asp:TemplateColumn>
                            <ItemTemplate>
                                <asp:LinkButton runat="server" Text="Delete" CommandName="Delete" OnClientClick="if (!confirm('Are you sure you want to delete this field?')) return false;" />
                            </ItemTemplate>
                        </asp:TemplateColumn>
                    </Columns>
                    <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" Mode="NumericPages" NextPageText="Next Page &amp;gt;" PrevPageText="&amp;lt; Previous Page " />
                    <SelectedItemStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
                </asp:DataGrid>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="RDesignFields" runat="server" CssClass="btn btn-default" OnClick="RDesignFields_Click" />
            </div>
        </div>
    </div>
</div>
<!-- Fields -->

<div id="pnlStepAddField" runat="server" class="Normal configPanel form-horizontal panel panel-default">
    <div class="panel-heading">Add Field</div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FdNamelbl" runat="server" AssociatedControlID="FdNametxt" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="FdNametxt" runat="server" CssClass="form-control"></asp:TextBox>
                <asp:RequiredFieldValidator ID="valFdNametxt" runat="server" resourcekey="valFNametxt.Error" ControlToValidate="FdNametxt" CssClass="error-label" Display="Dynamic"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="lblFieldLabel" runat="server" AssociatedControlID="tbxFieldLabel" CssClass="control-label" resourcekey="lblFieldLabel.Text"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="tbxFieldLabel" runat="server" CssClass="form-control"></asp:TextBox>
                <asp:RequiredFieldValidator ID="valFieldLabel" runat="server" resourcekey="valFieldLabel.Error" ControlToValidate="tbxFieldLabel" CssClass="error-label" Display="Dynamic"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FdTypelbl" runat="server" AssociatedControlID="DDFType" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:DropDownList ID="DDFType" runat="server" CssClass="form-control" AppendDataBoundItems="true">
                    <asp:ListItem Value="0">Please Select</asp:ListItem>
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="valDDFType" runat="server" resourcekey="valFNametxt.Error" ControlToValidate="DDFType" CssClass="error-label" Display="Dynamic" InitialValue="0"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FdReqlbl" runat="server" AssociatedControlID="CFReq" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:CheckBox ID="CFReq" runat="server" class="checkbox" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="BAddFieldF" runat="server" CssClass="btn btn-primary" OnClick="BAddFieldF_Click" CausesValidation="true" />
                <asp:LinkButton ID="RAddFieldF" runat="server" CssClass="btn btn-default" OnClick="RAddFieldF_Click" CausesValidation="false" />
            </div>
        </div>
    </div>
</div>
<!--Add Fields -->

<div id="pnlStepEditField" runat="server" class="Normal configPanel form-horizontal panel panel-default">
    <div class="panel-heading">Edit Field</div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FdEditNamelbl" runat="server" AssociatedControlID="FdEditNametxt" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="FdEditNametxt" runat="server" CssClass="form-control"></asp:TextBox>
                <asp:RequiredFieldValidator ID="valFdEditNametxt" runat="server" resourcekey="valFNametxt.Error" ControlToValidate="FdEditNametxt" CssClass="error-label" Display="Dynamic"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="lblEditFieldLabel" runat="server" AssociatedControlID="tbxFieldLabel" CssClass="control-label" resourcekey="lblFieldLabel.Text"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="tbxEditFieldLabel" runat="server" CssClass="form-control"></asp:TextBox>
                <asp:RequiredFieldValidator ID="valEditFieldLabel" runat="server" resourcekey="valFieldLabel.Error" ControlToValidate="tbxEditFieldLabel" CssClass="error-label" Display="Dynamic"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="lblMailChimpFieldID" runat="server" AssociatedControlID="tbxMailChimpFieldID" CssClass="control-label" resourcekey="lblMailChimpFieldID.Text"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:TextBox ID="tbxMailChimpFieldID" runat="server" CssClass="form-control"></asp:TextBox>
                <asp:RequiredFieldValidator ID="valMailChimpFieldID" runat="server" resourcekey="valMailChimpFieldID.Error" ControlToValidate="tbxMailChimpFieldID" CssClass="error-label" Display="Dynamic"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FdEditTypelbl" runat="server" AssociatedControlID="DDEditType" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:DropDownList ID="DDEditType" runat="server" CssClass="form-control"></asp:DropDownList>
                <asp:RequiredFieldValidator ID="valDDEditType" runat="server" resourcekey="valFNametxt.Error" ControlToValidate="DDEditType" CssClass="error-label" Display="Dynamic" InitialValue="0"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-3">
                <asp:Label ID="FdEditReqlbl" runat="server" AssociatedControlID="CEditReq" CssClass="control-label"></asp:Label>
            </div>
            <div class="col-xs-9">
                <asp:CheckBox ID="CEditReq" runat="server" class="checkbox" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-xs-12">
                <asp:LinkButton ID="BEditField" runat="server" CssClass="btn btn-primary" OnClick="BEditField_Click" CausesValidation="true" />
                <asp:LinkButton ID="REditField" runat="server" CssClass="btn btn-default" OnClick="REditField_Click" CausesValidation="false" />
            </div>
        </div>
    </div>
</div>
<!-- Edit Fields -->
